Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global svndate	20101019
%global svnrev	4

Name:		ucviewer
# The only place I could find a version was in the documentation.
Version:	0.1
Release:	alt2_0.31.%{svndate}svn%{svnrev}
Summary:	A tool for browsing Unicode tables
License:	GPLv2+
URL:		http://sourceforge.net/projects/ucviewer/
# Upstream does not release versioned tarballs
# Also, they bundle a copy of lua. :P
# svn export https://ucviewer.svn.sourceforge.net/svnroot/ucviewer ucviewer-20101019
# rm -rf ucviewer-20101019/src/lua-5.1.4
# tar cfj ucviewer-20101019.tar.bz2 ucviewer-20101019
Source0:	%{name}-%{svndate}.tar.bz2
# Desktop file not provided by upstream
Source1:	%{name}.desktop
# Use system lua
Patch0:		%{name}-20101019-system-lua.patch
# Don't prompt on buildtype (and use sane system paths)
Patch1:		%{name}-20101019-no-prompting.patch
# lua_open() changed to luaL_newstate()
Patch2:         %{name}-20101019-lua_open-to-luaL_newstate.patch
BuildRequires:	lua-devel libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
BuildRequires:	desktop-file-utils
BuildRequires:  gcc-c++
Source44: import.info

%description
Unicode Viewer is a tool for browsing Unicode tables to obtain detailed
information about every glyph. It provides a GUI with multiple functions
for navigating through the data and a Lua scripting interface to create
new functions. It also displays each glyph's DUCET-information and
allows sorting according to an order specified in an allkeys.txt-File.

%prep
%setup -q -n %{name}-%{svndate}
%patch0 -p1 -b .system
%patch1 -p1 -b .no-prompting
%patch2 -p1 -b .lua_open

%build
%{qmake_qt4}
%make_build

%install
make INSTALL_ROOT=%{buildroot} install
mkdir %{buildroot}%{_datadir}/pixmaps
pushd %{buildroot}%{_datadir}/pixmaps
ln -s ../UnicodeViewer/icon/uc-book.png .
popd
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc ReadMe.txt
%doc --no-dereference License.txt
%{_bindir}/UnicodeViewer
%{_datadir}/applications/ucviewer.desktop
%{_datadir}/pixmaps/uc-book.png
%{_datadir}/UnicodeViewer/

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.31.20101019svn4
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.30.20101019svn4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.29.20101019svn4
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.28.20101019svn4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.27.20101019svn4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.26.20101019svn4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.25.20101019svn4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_0.24.20101019svn4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.24.20101019svn4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.23.20101019svn4
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.22.20101019svn4
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.21.20101019svn4
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.20.20101019svn4
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.19.20101019svn4
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.18.20101019svn4
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.17.20101019svn4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.15.20101019svn4
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.14.20101019svn4
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.12.20101019svn4
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.10.20101019svn4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.9.20101019svn4
- update to new release by fcimport

* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.8.20101019svn4
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.6.20101019svn4
- initial fc import

